Bug 177295 - need Marathi keymap
need Marathi keymap
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: FutureFeature, i18n
Depends On:
Blocks: Indic
  Show dependency treegraph
Reported: 2006-01-09 03:27 EST by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: m17n-db-marathi-1.3.3-3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-29 06:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Marathi keymap (2.69 KB, application/octet-stream)
2006-03-28 00:48 EST, Mayank Jain
no flags Details

  None (edit)
Description Jens Petersen 2006-01-09 03:27:02 EST
Description of problem:
m17n-db needs a keymap for the Indic language Marthi (mr_IN).

Additional info:
See for example:
and these typewriter maps:
Comment 1 Rahul Bhalerao 2006-03-24 01:34:30 EST
Marathi(mr_IN) uses same script(Devanagari) as that of Hindi(hi_IN).
There are few characters written slightly different in 
both languages. But that was many years back. Now both the 
languages share  same characters and shapes, or atleast they 
are understood by both. 
Only u+096E (i.e. numeral 8) is still having different shape in hi_IN. 
Also, u+0932 is sometimes prefered a slightly different shape in mr_IN. But 
for so many years I have not seen this to be an issue with Marathi(mr_IN)
Since there is no separate Unicode chart for mr_IN and hi_IN, and no provision
for such few exceptions, the hi_IN key layout works perfectly with mr_IN.
Infact its more suitable for mr_IN. 
Comment 2 Mayank Jain 2006-03-24 01:39:08 EST

If we create a separate marathi keymap (though exactly similar to hindi), would
it be fine or just using the hi_IN keymap be good?

I'm asking this because if in future any changes be needed in marathi keymap
(mr-inscript.mim), they can be happily be incorporated in the marathi keymap,
without touching the hindi keymap (hi-inscript.mim).

What do you suggest?
Comment 3 Rahul Bhalerao 2006-03-24 01:47:32 EST
Sure, there's nothing wrong with having separate keymap for mr_IN.
But keep it exaclty same as hi_IN and in accordance with unicode.
We may expect extensions to unicode (Devanagari) for suiting most 
languages like Sindhi, Sanskrit, Marathi and Hindi. So it would be
better to keep a separate keymap.
Comment 4 Mayank Jain 2006-03-28 00:48:09 EST
Created attachment 126881 [details]
Marathi keymap

Attached the keymap for marathi, which is based on hindi keymap.
Comment 5 Mayank Jain 2006-04-07 04:23:19 EDT
Can you please test the new keymap with FC5?
If it works fine, we can proceed to close the bug.

Comment 7 Rahul Bhalerao 2006-05-16 08:23:13 EDT

The new keymap for Marathi works perfect in scim.
It supports all the characters for devanagari script
in unicode, except punctuation mark U0965, which 
is not supported even in hindi keymap.

Comment 8 Mayank Jain 2006-05-29 06:07:16 EDT
Added to rawhide.

Note You need to log in before you can comment on or make changes to this bug.